# module ActiveLdap::Compatible

### Public Instance Methods

convert_to_utf8_encoded_object(object) click to toggle source

    # File lib/active_ldap/compatible.rb, line 5
    def convert_to_utf8_encoded_object(object)
      case object
      when Array
        object.collect {|element| convert_to_utf8_encoded_object(element)}
      when Hash
        encoded = {}
        object.each do |key, value|
          key = convert_to_utf8_encoded_object(key)
          value = convert_to_utf8_encoded_object(value)
          encoded[key] = value
        end
        encoded
      when String
        encoded = object.dup
        encoded.force_encoding("utf-8")
        encoded = object unless encoded.valid_encoding?
        encoded
      else
        object
      end
    end

string_to_lines(string) click to toggle source

    # File lib/active_ldap/compatible.rb, line 33
    def string_to_lines(string)
      string.lines.to_a
    end